org.apache.solr.client.solrj.impl

## Class Krb5HttpClientConfigurer

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpClientConfigurer
  - - org.apache.solr.client.solrj.impl.Krb5HttpClientConfigurer

-     public class Krb5HttpClientConfigurer
      extends HttpClientConfigurer

  Kerberos-enabled HttpClientConfigurer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOGIN_CONFIG_PROP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Krb5HttpClientConfigurer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.apache.http.impl.client.DefaultHttpClient httpClient, SolrParams config)`
    `static void` | `regenerateJaasConfiguration()` The jaasConfig is static, which makes it problematic for testing in the same jvm.

    - ### Methods inherited from class org.apache.solr.client.solrj.impl.HttpClientConfigurer

      `toBooleanDefaultIfNull, toBooleanObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGIN_CONFIG_PROP

          public static final String LOGIN_CONFIG_PROP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Krb5HttpClientConfigurer

          public Krb5HttpClientConfigurer()

  - ### Method Detail

    - #### regenerateJaasConfiguration

          public static void regenerateJaasConfiguration()

      The jaasConfig is static, which makes it problematic for testing in the same jvm. Call this function to regenerate the static config (this is not thread safe). Note: only used for tests

    - #### configure

          public void configure(org.apache.http.impl.client.DefaultHttpClient httpClient,
                                SolrParams config)

      Overrides:
        `configure` in class `HttpClientConfigurer`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.